Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.10
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.antlr
[Java] Class UnicodeEscapingReader

    java.lang.Object
      java.io.Reader
          org.codehaus.groovy.antlr.UnicodeEscapingReader

    public class UnicodeEscapingReader
    extends Reader

Translates GLS-defined unicode escapes into characters. Throws an exception in the event of an invalid unicode escape being detected.

No attempt has been made to optimize this class for speed or space.

Version:
  \$Revision: 21735 \$

Method Summary
`def` | `UnicodeEscapingReader(Reader reader, SourceBuffer sourceBuffer)` Constructor.
`void` | `close()` Closes this reader by calling close on the underlying reader.
`int` | `getUnescapedUnicodeColumnCount()`
`int` | `getUnescapedUnicodeOffsetCount()`
`int` | `read(char[] cbuf, int off, int len)` Reads characters from the underlying reader.
`int` | `read()` Gets the next character from the underlying reader, translating escapes as required.
`void` | `setLexer(CharScanner lexer)` Sets the lexer that is using this reader.

Methods inherited from class Reader
close, mark, reset, read, read, read, read, skip, markSupported, ready, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### UnicodeEscapingReader

    public def UnicodeEscapingReader(Reader reader, SourceBuffer sourceBuffer)

  Constructor.
  Parameters:
    `reader` - The reader that this reader will filter over.

### close

    public void close()

  Closes this reader by calling close on the underlying reader.
  See Also:
    Reader.close

### getUnescapedUnicodeColumnCount

    public int getUnescapedUnicodeColumnCount()

### getUnescapedUnicodeOffsetCount

    public int getUnescapedUnicodeOffsetCount()

### read

    public int read(char[] cbuf, int off, int len)

  Reads characters from the underlying reader.
  See Also:
    Reader.read

### read

    public int read()

  Gets the next character from the underlying reader, translating escapes as required.
  See Also:
    Reader.close

### setLexer

    public void setLexer(CharScanner lexer)

  Sets the lexer that is using this reader. Must be called before the lexer is used.

Copyright © 2003-2010 The Codehaus. All rights reserved.